Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Resource_Factory.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/SString.h"`
`#include "tao/TAO_Export.h"`

Include dependency graph for Resource_Factory.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Protocol_Item
class | TAO_Resource_Factory
| Factory which manufacturers resources for use by the ORB Core. More...
## Typedefs
typedef ACE_Unbounded_Set< TAO_Protocol_Item * > | TAO_ProtocolFactorySet
typedef ACE_Unbounded_Set_Iterator< TAO_Protocol_Item * > | TAO_ProtocolFactorySetItor

## Detailed Description

Id:
  Resource_Factory.h,v 1.45 2003/10/28 18:29:20 bala Exp

Author:
  Chris Cleeland , Carlos O'Ryan

## Typedef Documentation

typedef ACE_Unbounded_Set<TAO_Protocol_Item*> TAO_ProtocolFactorySet

typedef ACE_Unbounded_Set_Iterator<TAO_Protocol_Item*> TAO_ProtocolFactorySetItor